org.vishia.gral.ifc

## Class GralFactory

- java.lang.Object
- - org.vishia.gral.ifc.GralFactory

- Direct Known Subclasses:
    AwtFactory, SwtFactory

      public abstract class GralFactory
      extends java.lang.Object

  This is the super class for a factory class which allows usage of any graphical base system such as AWT, Swing, SWT or other for the GRAL GRaphic Adaption Layer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `version` Version, history and license.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GralFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract GralGraphicThread` | `createGraphic(GralWindow windowg, char sizeShow, LogMessage log)` This method should intitialize the implementation layer manager, primary window and the graphic thread.
    `static GralGraphicThread` | `createGraphic(GralWindow windowg, char sizeShow, LogMessage log, java.lang.String implementor)`
    `void` | `createWindow(GralWindow windowg, char sizeShow, int left, int top, int xSize, int ySize)` Deprecated. use `#createGraphic(GralWindow, char, int, int, int, int, LogMessage)`
    `GralWindow` | `createWindow(LogMessage log, java.lang.String sTitle, char sizeShow, int left, int top, int xSize, int ySize)` Deprecated. use `#createGraphic(GralWindow, char, int, int, int, int, LogMessage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and license.
      - 2017-01-15 Hartmut chg in deprecated createWindow, see comment there.
      - 2016-07-16 Hartmut new: `createGraphic(GralWindow, char, LogMessage, String)` as non abstract static method creates the graphic, for several implementation platforms by "AWT", "SWT" or special factory class.
      - 2015-05-01 Hartmut now a abstract class instead interface.
      - 2011-06-00 Hartmut created
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GralFactory

          public GralFactory()

  - ### Method Detail

    - #### createWindow

          public final GralWindow createWindow(LogMessage log,
                                               java.lang.String sTitle,
                                               char sizeShow,
                                               int left,
                                               int top,
                                               int xSize,
                                               int ySize)

      Deprecated. use `#createGraphic(GralWindow, char, int, int, int, int, LogMessage)`
      Creates and opens the primary window of the application.
      Parameters:
        `log` -
        `sTitle` -
        `sizeShow` -
        `left` -
        `top` -
        `xSize` -
        `ySize` -
      Returns:
        the window

    - #### createWindow

          @Deprecated
          public final void createWindow(GralWindow windowg,
                                                      char sizeShow,
                                                      int left,
                                                      int top,
                                                      int xSize,
                                                      int ySize)

      Deprecated. use `#createGraphic(GralWindow, char, int, int, int, int, LogMessage)`
      Creates and opens the primary window of the application with a given GralWindow instance.
      Parameters:
        `sizeShow` -
        `left` -
        `top` -
        `xSize` -
        `ySize` -

    - #### createGraphic

          protected abstract GralGraphicThread createGraphic(GralWindow windowg,
                                                             char sizeShow,
                                                             LogMessage log)

      This method should intitialize the implementation layer manager, primary window and the graphic thread.
      Parameters:
        `windowg` -
        `sizeShow` -
        `left` -
        `top` -
        `xSize` -
        `ySize` -
        `log` -
      Returns:

    - #### createGraphic

          public static GralGraphicThread createGraphic(GralWindow windowg,
                                                        char sizeShow,
                                                        LogMessage log,
                                                        java.lang.String implementor)